Subject: [PATCH v5 2/2] ARM: EXYNOS: PMU: move restart code into pmu driver

From: [email-masked] (Sylwester Nawrocki)
Date: Wed, 19 Nov 2014 15:26:23 +0100

On 19/11/14 04:16, Pankaj Dubey wrote:
>>> > > +static int pmu_restart_notify(struct notifier_block *this,
>>> > > +		unsigned long code, void *unused)
>>> > > +{
>>> > > +	pmu_raw_writel(0x1, EXYNOS_SWRESET);
>> > 
>> > Is it also valid on exynos5440 ? Doesn't it cause any harm there ?
>> > Perhaps we could add a comment saying it has not effect on that SoC ?
>> > 
> Seeing original code from exynos.c (restart hook) I can say it's not valid
> for exynos5440.
> But it should not cause any harm as of now, because for exynos54440 PMU will
> not be probed.
> If in future support for exynos5440 PMU gets added, that time one may need
> to consider this
> point. This will be applicable for any SoC which does not have same register
> for restart.

OK, I wasn't aware PMU driver won't be probed for exynos5440 at all.
Anyway, I hope we can get someone testing the patch set on exynos5440.

--
Regards,
Sylwester